Name:          conan
Version:       1.43.1
Release:       1mamba
Summary:       Decentralized, open-source (MIT), C/C++ package manager
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/conan-io/conan
Source:        https://github.com/conan-io/conan.git/%{version}/conan-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(bottle)
BuildRequires: python3.7dist(colorama)
BuildRequires: python3.7dist(distro)
BuildRequires: python3.7dist(fasteners)
BuildRequires: python3.7dist(jinja2)
BuildRequires: python3.7dist(node-semver)
BuildRequires: python3.7dist(patch-ng)
BuildRequires: python3.7dist(pluginbase)
BuildRequires: python3.7dist(pygments)
BuildRequires: python3.7dist(pyjwt)
BuildRequires: python3.7dist(python-dateutil)
BuildRequires: python3.7dist(pyyaml)
BuildRequires: python3.7dist(requests)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(six)
BuildRequires: python3.7dist(tqdm)
BuildRequires: python3.7dist(urllib3)
## AUTOBUILDREQ-END

%description
Decentralized, open-source (MIT), C/C++ package manager.

%prep
%setup -q
sed -i "s|Jinja2>=.*|Jinja2|" conans/requirements.txt
sed -i "s|node-semver==.*|node-semver|" conans/requirements.txt
sed -i "s|PyJWT>=.*|PyJWT|" conans/requirements.txt

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/conan-%{version}-py*.egg-info
%{python3_sitearch}/conan-%{version}-py*.egg-info/*

%changelog
* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 1.43.1-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 1.43.0-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Automatic Build System <autodist@mambasoft.it> 1.42.2-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 1.42.1-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.39.0-1mamba
- package created using the webbuild interface
